Content / REST API

Create content watch

Create a scheduled LinkedIn topic watch using an existing connected account.

POST /api/v1/content/discover/watchesDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
linkedinAccountIdRequired · string
See the input schema for this field.
typeRequired · string
See the input schema for this field.topic
queryRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/v1/content/discover/watches" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"linkedinAccountId":"00000000-0000-4000-8000-000000000000","type":"topic","query":"example"}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "linkedinAccountId": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "topic"
      ]
    },
    "query": {
      "type": "string"
    }
  },
  "required": [
    "linkedinAccountId",
    "type",
    "query"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview